Subject: Permission issue in Package Manager?
Description

We have had the following report:

http://lists.typo3.org/pipermail/flow3-general/2011-August/001074.html

Uncaught Exception in FLOW3 #1: Warning: chmod(): Operation not
permitted in /srv/www/htdocs/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Package/PackageManager.php
line 451
thrown in file Packages/Framework/TYPO3.FLOW3/Classes/Error/ErrorHandler.php
in line 81

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
/srv/www/htdocs/flow3/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:60

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

.. and should check if we can fix the issue or give the user a better explanation.

Associated revisions
Revision 699b8bfe - 2011-08-24 10:45 - Robert Lemke

[BUGFIX] Remove unnecessary chmod for PackageStates

The Package Manager tried to adjust the permissions of
the PackageStates.yaml file via chmod.

This should not be necessary anymore and could even lead
to irritating error messages for some server setups.
In general, the file permissions should be set by the
setfilepermissions command in a way that even a newly
created PackageStates.yaml has the correct permissions
set.

Change-Id: I7d235228223331ccd6d7cf2f6981f26a0cd95719
Resolves: #28814

History
#1 - 2011-08-08 18:50 - Andi Sugandi

Even I run:

su -c './flow3 kickstart:package Julia.Demo'
Password: 
Created .../Julia.Demo/Classes/Controller/StandardController.php
Created .../Julia.Demo/Resources/Private/Templates/Standard/Index.html

which is using root user, the issue still remains.

#2 - 2011-08-24 10:48 - Mr. Hudson

Patch set 1 of change I7d235228223331ccd6d7cf2f6981f26a0cd95719 has been pushed to the review server.
It is available at http://review.typo3.org/4563

#3 - 2011-08-24 11:09 - Robert Lemke
- Status changed from New to Under Review
- Assigned To set to Robert Lemke

#4 - 2011-08-24 11:09 - Robert Lemke
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#5 - 2011-08-25 14:06 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:699b8bfe9f56ffbeee202591d8d56a09ac1a4558.
